<?xml version="1.0" encoding="UTF-8"?><components xmlns:scr="http://www.osgi.org/xmlns/scr/v1.0.0">
    <scr:component enabled="true" immediate="true" name="esb.core.initializer">
        <implementation class="org.wso2.carbon.mediation.initializer.ServiceBusInitializer"/>
        <property name="service.pid" value="esb.core.initializer"/>
        <reference name="registry.service" interface="org.wso2.carbon.registry.core.service.RegistryService" cardinality="1..1" policy="dynamic" bind="setRegistryService" unbind="unsetRegistryService"/>
        <reference name="config.context.service" interface="org.wso2.carbon.utils.ConfigurationContextService" cardinality="1..1" policy="dynamic" bind="setConfigurationContextService" unbind="unsetConfigurationContextService"/>
        <reference name="application.manager" interface="org.wso2.carbon.application.deployer.service.ApplicationManagerService" cardinality="1..1" policy="dynamic" bind="setAppManager" unbind="unsetAppManager"/>
        <reference name="synapse.registry.service" interface="org.wso2.carbon.mediation.registry.services.SynapseRegistryService" cardinality="1..1" policy="dynamic" bind="setSynapseRegistryService" unbind="unsetSynapseRegistryService"/>
        <reference name="task.description.repository.service" interface="org.wso2.carbon.task.services.TaskDescriptionRepositoryService" cardinality="1..1" policy="dynamic" bind="setTaskDescriptionRepositoryService" unbind="unsetTaskDescriptionRepositoryService"/>
        <reference name="task.scheduler.service" interface="org.wso2.carbon.task.services.TaskSchedulerService" cardinality="1..1" policy="dynamic" bind="setTaskSchedulerService" unbind="unsetTaskSchedulerService"/>
        <reference name="secret.callback.handler.service" interface="org.wso2.carbon.securevault.SecretCallbackHandlerService" cardinality="1..1" policy="dynamic" bind="setSecretCallbackHandlerService" unbind="unsetSecretCallbackHandlerService"/>
        <reference name="config.tracking.service" interface="org.wso2.carbon.mediation.dependency.mgt.services.ConfigurationTrackingService" cardinality="1..1" policy="dynamic" bind="setConfigTrackingService" unbind="unsetConfigTrackingService"/>
        <reference name="eventbroker.service" interface="org.wso2.carbon.event.core.EventBroker" cardinality="1..1" policy="dynamic" bind="setEventBroker" unbind="unSetEventBroker"/>
        <reference name="esbntask.taskservice" interface="org.wso2.carbon.mediation.ntask.internal.NtaskService" cardinality="0..1" policy="dynamic" bind="setTaskService" unbind="unsetTaskService"/>
        <reference name="inbound.endpoint.persistence.service" interface="org.wso2.carbon.inbound.endpoint.persistence.service.InboundEndpointPersistenceService" cardinality="1..1" policy="dynamic" bind="setInboundPersistenceService" unbind="unsetInboundPersistenceService"/>
    </scr:component>
</components>
